### Signal

# Goa Manager::handle-add-account

#### Declaration

    gboolean
    handle_add_account (
      GoaManager* self,
      GDBusMethodInvocation* invocation,
      gchar* arg_provider,
      gchar* arg_identity,
      gchar* arg_presentation_identity,
      GVariant* arg_credentials,
      GVariant* arg_details,
      gpointer user_data
    )

#### Description [src]

Signal emitted when a remote caller is invoking the AddAccount() D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `goa_manager_complete_add_account()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The data is owned by the caller of the function.

`arg_provider`

  Type: `gchar*`

  Argument passed by remote caller.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_identity`

  Type: `gchar*`

  Argument passed by remote caller.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_presentation_identity`

  Type: `gchar*`

  Argument passed by remote caller.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_credentials`

  Type: `GVariant`

  Argument passed by remote caller.

  The data is owned by the caller of the function.

`arg_details`

  Type: `GVariant`

  Argument passed by remote caller.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.